lp:~vorlon/ubuntu/natty/avahi/multiarch

Created by Steve Langasek and last modified
Get this branch:
bzr branch lp:~vorlon/ubuntu/natty/avahi/multiarch
Only Steve Langasek can upload to this branch. If you are Steve Langasek please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Steve Langasek
Status:
Development

Recent revisions

96. By Steve Langasek

FFe LP: #733501: build for multiarch.

95. By Robert Ancell

* New upstream release
* debian/patches/02_avahi-discover.patch:
  - Fix avahi-discover
* debian/patches/03_read_null_udp_packets.patch:
  - Applied upstream

94. By Martin Pitt

* Resynchronise with Debian. Remaining Ubuntu changes:
 - debian/control:
   + Add versioned dependency on the dbus that satisfies our upstart job
     dependency.
   + Add udebs corresponding to libavahi-common3 and libavahi-core6, so
     that we can use them for Eucalyptus integration in the installer.
 - Add debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart
 - debian/avahi-autoipd.{pre,post}inst: Adjust package versions for conffile
   migration for the version when Ubuntu did the DHCP4 migration. This needs
   to be kept until after the next LTS.

93. By Kees Cook

debian/avahi-daemon.upstart, debian/control: use AppArmor helper,
available since upstart 0.6.7-4.

92. By Colin Watson

* Resynchronise with Debian. Remaining changes:
  - debian/control:
    + Add versioned dependency on the dbus that satisfies our upstart job
      dependency.
    + Add udebs corresponding to libavahi-common3 and libavahi-core6, so
      that we can use them for Eucalyptus integration in the installer.
  - debian/rules, debian/avahi-daemon.init, debian/avahi-dnsconfd.init:
    + Avahi init scripts (daemon or dnsconfd) do not need to be started
      before gdm, and do not need to be stopped specially on shutdown.
  - debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart:
    + Add Upstart config
* Restore Debian changes to migrate to DHCP 4, now that we have it in
  Ubuntu. Adjust package versions for conffile migration.
* Launchpad supports 'linux-any' these days; restore Debian change to use
  that.

91. By Colin Watson

This time, let's have *correct* udeb shlibs (LP: #636101).

90. By Colin Watson

Restore udeb shlibs, lost in the last merge (LP: #636101).

89. By Robert Ancell

* Merge from Debian unstable, remaining Ubuntu changes:
* debian/control:
  - Remove linux-any as it is not yet supported by Soyuz
  - Add versioned dependency on the dbus that satisfies our upstart job
    dependency.
  - Add udebs corresponding to libavahi-common3 and libavahi-core6, so that
    we can use them for Eucalyptus integration in the installer.
  - Recommend dhcp3-client instead of isc-dhcp-client (not yet available in
    Ubuntu)
* debian/rules:
* debian/avahi-daemon.init:
* debian/avahi-dnsconfd.init:
  - Avahi init scripts (daemon or dnsconfd) do not need to
    be started before gdm, and do not need to be stopped specially on
    shutdown.
* debian/avahi-daemon.postinst:
* debian/avahi-dnsconfd.postinst:
  - Use Ubuntu versions for migration scripts
* debian/avahi-autoipd.preinst:
* debian/avahi-autoipd.install:
* debian/avahi-autoipd.postinst:
* debian/avahi-autoipd.postrm:
  - Disable DHCP 3 to 4 migration (not yet in Ubuntu)
* debian/avahi-daemon.upstart:
* debian/avahi-dnsconfd.upstart:
  - Add Upstart config
* debian/patches/03_gir_1.1.patch:
  - Compile with the latest Gobject introspection

88. By Kees Cook

Upstartify Avahi AppArmor profile loading.

87. By Mathias Gug

debian/avahi-daemon.upstart: use eucalyptus specific avahi-daemon
configuration file if it's available. (LP: #458904)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/natty/avahi
This branch contains Public information 
Everyone can see this information.

Subscribers